/*++

Copyright (c) Sydus.

Module:

    ISemaphoreImplementation.h

Authors:

    Sharvil Nanavati (sharvil) 2006-03-22

--*/

#pragma once

#include "base.h"

class ISemaphoreImplementation : private NonCopyable
{
	public:
		virtual void Up() = 0;
		virtual void Down() = 0;
		virtual bool TryDown() = 0;

		virtual ~ISemaphoreImplementation() {}
};
