/*++

Copyright (c) Sydus.

Module:

    IMutexImplementation.h

Authors:

    Sharvil Nanavati (sharvil) 2006-01-14

--*/

#pragma once

#include "base.h"

class IMutexImplementation : private NonCopyable
{
	public:
		virtual bool TryLock() = 0;
		virtual void Lock() = 0;
		virtual void Unlock() = 0;

		virtual ~IMutexImplementation() {}
};
